package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class TrunkAdapter {
    private Metadata metadata;
    private String dynamicReconfigurationConnectorName;
    private String locationCode;
    private String requiredAdapter;
    private String variedOn;
    private String virtualSlotNumber;
    private String macAddress;
    private String portVLANID;
    private String qualityOfServicePriorityEnabled;
    private String TaggedVlanIds;
    private String taggedVLANSupported;
    private AssociatedVirtualSwitch associatedVirtualSwitch;
    private String virtualSwitchID;
    private String deviceName;
    private String trunkPriority;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getRequiredAdapter() {
        return requiredAdapter;
    }

    public void setRequiredAdapter(String requiredAdapter) {
        this.requiredAdapter = requiredAdapter;
    }

    public String getVariedOn() {
        return variedOn;
    }

    public void setVariedOn(String variedOn) {
        this.variedOn = variedOn;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getPortVLANID() {
        return portVLANID;
    }

    public void setPortVLANID(String portVLANID) {
        this.portVLANID = portVLANID;
    }

    public String getQualityOfServicePriorityEnabled() {
        return qualityOfServicePriorityEnabled;
    }

    public void setQualityOfServicePriorityEnabled(String qualityOfServicePriorityEnabled) {
        this.qualityOfServicePriorityEnabled = qualityOfServicePriorityEnabled;
    }

    public String getTaggedVLANSupported() {
        return taggedVLANSupported;
    }

    public void setTaggedVLANSupported(String taggedVLANSupported) {
        this.taggedVLANSupported = taggedVLANSupported;
    }

    public AssociatedVirtualSwitch getAssociatedVirtualSwitch() {
        return associatedVirtualSwitch;
    }

    public void setAssociatedVirtualSwitch(AssociatedVirtualSwitch associatedVirtualSwitch) {
        this.associatedVirtualSwitch = associatedVirtualSwitch;
    }

    public String getVirtualSwitchID() {
        return virtualSwitchID;
    }

    public void setVirtualSwitchID(String virtualSwitchID) {
        this.virtualSwitchID = virtualSwitchID;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getTrunkPriority() {
        return trunkPriority;
    }

    public void setTrunkPriority(String trunkPriority) {
        this.trunkPriority = trunkPriority;
    }

    public String getTaggedVlanIds() {
        return TaggedVlanIds;
    }

    public void setTaggedVlanIds(String taggedVlanIds) {
        TaggedVlanIds = taggedVlanIds;
    }
}
